separated_row 1.0.0+2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new50

SeparatedRow #

Flutter package for rendering separated Row children. This package is also available on pub.

Usage #

The only difference between SeparatedRow and Row is the separatorBuilder property.

SeparatedRow(
  children: <Widget>[
    IconButton(
      onPressed: () {},
      icon: Icon(Icons.favorite),
    ),
    IconButton(
      onPressed: () {},
      icon: Icon(Icons.favorite_border),
    ),
    IconButton(
      onPressed: () {},
      icon: Icon(Icons.check),
    ),
    IconButton(
      onPressed: () {},
      icon: Icon(Icons.close),
    ),
  ],
  separatorBuilder: (BuildContext context, int index) {
    return Container(
      width: 1.0,
      height: 15.0,
      color: Colors.grey,
    );
  },
  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
)

[1.0.0+2]

  • Minor changes.

[1.0.0+1]

  • Stable release.

[0.0.2]

  • Added example.

[0.0.1]

  • Initial release.

example/main.dart

import 'package:flutter/material.dart';

import 'package:separated_row/separated_row.dart';

void main() {
  runApp(Application());
}

class Application extends StatelessWidget {
  const Application({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'SeparatedRow',
      home: HomePage('SeparatedRow'),
    );
  }
}

class HomePage extends StatelessWidget {
  final String title;

  HomePage(this.title);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(title),
      ),
      body: Center(
        child: SeparatedRow(
          children: <Widget>[
            IconButton(
              onPressed: () {},
              icon: Icon(Icons.favorite),
            ),
            IconButton(
              onPressed: () {},
              icon: Icon(Icons.favorite_border),
            ),
            IconButton(
              onPressed: () {},
              icon: Icon(Icons.check),
            ),
            IconButton(
              onPressed: () {},
              icon: Icon(Icons.close),
            ),
          ],
          separatorBuilder: (BuildContext context, int index) {
            return Container(
              width: 1.0,
              height: 15.0,
              color: Colors.grey,
            );
          },
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  separated_row: ^1.0.0+2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:separated_row/separated_row.dart';
  
Version Uploaded Documentation Archive
1.0.0+2 Apr 11, 2019 Go to the documentation of separated_row 1.0.0+2 Download separated_row 1.0.0+2 archive
1.0.0+1 Apr 11, 2019 Go to the documentation of separated_row 1.0.0+1 Download separated_row 1.0.0+1 archive
0.0.2 Apr 11, 2019 Go to the documentation of separated_row 0.0.2 Download separated_row 0.0.2 archive
0.0.1 Apr 11, 2019 Go to the documentation of separated_row 0.0.1 Download separated_row 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
50
Learn more about scoring.

We analyzed this package on Apr 16, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test